List recovery contacts
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contacts": [
{
"id": "rc_01",
"channel": "email",
"value": "a***@example.com"
}
]
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}List recovery contacts
List recovery contacts. Requires a Bearer access token for the signed-in user.
GET
/
api
/
v1
/
users
/
me
/
recovery-contacts
List recovery contacts
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/recovery-contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contacts": [
{
"id": "rc_01",
"channel": "email",
"value": "a***@example.com"
}
]
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}